"""
Fourier Series Classification Package

This package provides tools for classifying 1D signals using Fourier Series and Machine Learning.
It implements the methodology described in the paper "Using Fourier Series and Machine Learning
to Classify 1D-Signals".
"""

from fourier_classification.signals import *
from fourier_classification.fourier import *
from fourier_classification.operations import *
from fourier_classification.models import *
from fourier_classification.visualization import *
from fourier_classification.utils import *

__version__ = "0.1.0"
